Eclipse Platform Release 3.7

## org.eclipse.core.runtime.preferences
Interface IPreferenceNodeVisitor

    public interface IPreferenceNodeVisitor

This interface is implemented by objects that visit preference nodes.

Usage:

     class Visitor implements IPreferenceNodeVisitor {
        public boolean visit(IEclipsePreferences node) {
           // your code here
           return true;
        }
     }
     IEclipsePreferences root = ...;
     root.accept(new Visitor());

Clients may implement this interface.

Since:
  3.0
See Also:
  `IEclipsePreferences.accept(IPreferenceNodeVisitor)`

Method Summary
`boolean` `visit(IEclipsePreferences node)` Visits the given preference node.

Method Detail

### visit

    boolean visit(IEclipsePreferences node)
                  throws BackingStoreException

  Visits the given preference node.

  Parameters:
    `node` - the node to visit
  Returns:
    `true` if the node's children should be visited; `false` if they should be skipped
  Throws:
    `BackingStoreException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.